package com.qmth.themis.business.bean.backend;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("报表-情况统计返回对象")
public class ExamViewCountListBean implements Serializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = -4399923396400174947L;
	
	@ApiModelProperty(name = "考试名称")
    private String examName;
	
	@ApiModelProperty(name = "考试id")
    private Long examId;

    @ApiModelProperty(name = "场次id")
    private Long examActivityId;

    @ApiModelProperty(name = "虚拟考场代码")
    private String roomCode;

    @ApiModelProperty(name = "虚拟考场名称")
    private String roomName;

    @ApiModelProperty(name = "应考")
    private Long examTotal;
    
    @ApiModelProperty(name = "实考")
    private Long actualExamTotal;
    
    @ApiModelProperty(name = "缺考")
    private Long deficiencyExamTotal;

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getExamActivityId() {
		return examActivityId;
	}

	public void setExamActivityId(Long examActivityId) {
		this.examActivityId = examActivityId;
	}

	public String getRoomCode() {
		return roomCode;
	}

	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}

	public String getRoomName() {
		return roomName;
	}

	public void setRoomName(String roomName) {
		this.roomName = roomName;
	}

	public Long getExamTotal() {
		return examTotal;
	}

	public void setExamTotal(Long examTotal) {
		this.examTotal = examTotal;
	}

	public Long getActualExamTotal() {
		return actualExamTotal;
	}

	public void setActualExamTotal(Long actualExamTotal) {
		this.actualExamTotal = actualExamTotal;
	}

	public Long getDeficiencyExamTotal() {
		return deficiencyExamTotal;
	}

	public void setDeficiencyExamTotal(Long deficiencyExamTotal) {
		this.deficiencyExamTotal = deficiencyExamTotal;
	}

    
}
