package com.qmth.themis.business.bean.exam;

import java.io.Serializable;

/**
 * @Description: 未完成的考试
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/8
 */
public class ExamUnFinishBean implements Serializable {

    private Long id;
    private String name;
    private String preNotice;
    private Integer preNoticeStaySeconds;
    private String postNotice;
    private ExamActivityUnFinishBean activity;

    public ExamUnFinishBean() {

    }

    public ExamUnFinishBean(Long id, String name, String preNotice, Integer preNoticeStaySeconds, String postNotice,ExamActivityUnFinishBean activity) {
        this.id = id;
        this.name = name;
        this.preNotice = preNotice;
        this.preNoticeStaySeconds = preNoticeStaySeconds;
        this.postNotice = postNotice;
        this.activity = activity;
    }

    public ExamActivityUnFinishBean getActivity() {
        return activity;
    }

    public void setActivity(ExamActivityUnFinishBean activity) {
        this.activity = activity;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPreNotice() {
        return preNotice;
    }

    public void setPreNotice(String preNotice) {
        this.preNotice = preNotice;
    }

    public Integer getPreNoticeStaySeconds() {
        return preNoticeStaySeconds;
    }

    public void setPreNoticeStaySeconds(Integer preNoticeStaySeconds) {
        this.preNoticeStaySeconds = preNoticeStaySeconds;
    }

    public String getPostNotice() {
        return postNotice;
    }

    public void setPostNotice(String postNotice) {
        this.postNotice = postNotice;
    }
}
