package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.themis.business.entity.TIeExamInvigilateCall;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;
import java.util.Set;

/**
 * @Description: 监考 监控通话申请 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface TIeExamInvigilateCallMapper extends BaseMapper<TIeExamInvigilateCall> {

    /**
     * 监考监控通话申请查询
     *
     * @param iPage
     * @param examActivityIdSet
     * @param status
     * @return
     */
    public IPage<TIeExamInvigilateCall> examInvigilateCallQuery(IPage<Map> iPage, @Param("examActivityIdSet") Set<Long> examActivityIdSet, @Param("status") String status);
}
