package com.qmth.themis.business.enums;

/**
 * @Description: 系统操作 enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/2
 */
public enum SystemOperationEnum {

    LOGIN("登录"),

    LOGOUT("注销"),

    PREPARE("进入候考"),

    ANSWERING("进入考试"),

    BREAK_OFF("断点"),

    RESUME_PREPARE("断点恢复候考"),

    FINISHED("交卷");

    private String code;

    private SystemOperationEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }
}
