package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TIeExamInvigilateCall;

import java.util.Map;
import java.util.Set;

/**
 * @Description: 监考监控通话申请 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TIeExamInvigilateCallService extends IService<TIeExamInvigilateCall> {

    /**
     * 监考监控通话申请查询
     *
     * @param iPage
     * @param examActivityIdSet
     * @param status
     * @return
     */
    public IPage<TIeExamInvigilateCall> examInvigilateCallQuery(IPage<Map> iPage, Set<Long> examActivityIdSet, String status);
}
