package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TIeInvigilateWarnInfo;
import org.apache.ibatis.annotations.Param;

import java.util.Set;

/**
 * @Description: 监考预警信息 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TIeInvigilateWarnInfoService extends IService<TIeInvigilateWarnInfo> {

    /**
     * 预警提醒
     *
     * @param examId
     * @param examActivityId
     * @param roomCode
     * @param userId
     * @return
     */
    public Integer warningCount(Long examId,
                                Long examActivityId,
                                String roomCode,
                                Long userId);
}
