package com.qmth.themis.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.dao.TEExamStudentLogMapper;
import com.qmth.themis.business.entity.TEExamStudentLog;
import com.qmth.themis.business.service.TEExamStudentLogService;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @Description: 考生轨迹 服务实现类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Service
public class TEExamStudentLogServiceImpl extends ServiceImpl<TEExamStudentLogMapper, TEExamStudentLog> implements TEExamStudentLogService {

    /**
     * 保存学生轨迹
     *
     * @param o
     * @return
     */
    @Override
    public boolean saveStudentLogInfo(Object... o) {
        TEExamStudentLog teExamStudentLog = null;
        if (Objects.nonNull(o) && o.length == 4) {
            teExamStudentLog = new TEExamStudentLog(String.valueOf(o[0]), String.valueOf(o[1]), String.valueOf(o[2]), Long.parseLong(String.valueOf(o[3])));
        } else if (Objects.nonNull(o) && o.length == 6) {
            teExamStudentLog = new TEExamStudentLog(String.valueOf(o[0]), String.valueOf(o[1]), String.valueOf(o[2]), Long.parseLong(String.valueOf(o[3])), Long.parseLong(String.valueOf(o[4])), Long.parseLong(String.valueOf(o[5])));
        }
        this.save(teExamStudentLog);
        return true;
    }
}
